Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### ! (logical NOT)

Examples

    boolean a = false;
    if (!a) {
      rect(30, 20, 50, 50);
    }
    a = true;
    if (a) {
      line(20, 10, 90, 80);
      line(20, 80, 90, 10);
    }

Description | Inverts the Boolean value of an expression. Returns true if the expression is false and returns false if the expression is true. If the expression (a>b) evaluates to true, then !(a>b) evaluates to false.

Syntax

    !expression

Parameters

expression | any valid expression

Usage | Web & Application
Related | || (logical OR) && (logical AND) if()

Updated on November 22, 2008 08:39:26pm PST